Package com.sas.lsaf.clinical.tlf

## Class TlfDescriptor

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.tlf.TlfDescriptor

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`
  Direct Known Subclasses:
    `Tlf`

      public class TlfDescriptor
      extends AbstractIdentifiable

  The lightweight representation of the definition of a clinical study TLF. It is a measure of event or outcome of an intervention being studied by a clinical trial. A TLF includes the definitions of Tables, Listings and Figures to be included in a clinical study report.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlfDescriptor​(java.lang.String id, java.lang.String typeId, java.lang.String name, java.lang.String identifier, Identifiable parent, int order, boolean enableAutoFlow)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getIdentifier()` | Gets the identifier of the TLF.
    `java.lang.String` | `getName()` | Gets the name of the TLF.
    `int` | `getOrder()` | Gets the order of the TLF within its parent.
    `Identifiable` | `getParent()` | Gets the parent of the TLF.
    `int` | `hashCode()` |
    `boolean` | `isEnableAutoFlow()` | Gets whether the TLF is enabled for automatic process flow creation.
    `void` | `setEnableAutoFlow​(boolean enableAutoFlow)` | Sets whether the TLF is enabled for automatic process flow creation.
    `void` | `setIdentifier​(java.lang.String identifier)` | Sets the identifier of the TLF.
    `void` | `setName​(java.lang.String name)` | Sets the name of the TLF.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TlfDescriptor

          public TlfDescriptor​(java.lang.String id,
                               java.lang.String typeId,
                               java.lang.String name,
                               java.lang.String identifier,
                               Identifiable parent,
                               int order,
                               boolean enableAutoFlow)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the TLFs returned by the API.
      Parameters:
        `id` - The identifier of the TLF.
        `typeId` - The type identifier of the TLF.
        `name` - The name of the TLF.
        `identifier` - The identifier attribute of the TLF.
        `parent` - The parent of the TLF.
        `order` - The order of the TLF within the parent.
        `enableAutoFlow` - The TLF is enabled for automatic process flow creation.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the TLF.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the TLF.
      Parameters:
        `name` - The name of the TLF.

    - #### getIdentifier

          public java.lang.String getIdentifier()

      Gets the identifier of the TLF.
      Returns:
        The identifier.

    - #### setIdentifier

          public void setIdentifier​(java.lang.String identifier)

      Sets the identifier of the TLF.
      Parameters:
        `identifier` - The identifier of the TLF.

    - #### getParent

          public Identifiable getParent()

      Gets the parent of the TLF. A common example of a parent is a `Section`.
      Returns:
        The parent.

    - #### setEnableAutoFlow

          public void setEnableAutoFlow​(boolean enableAutoFlow)

      Sets whether the TLF is enabled for automatic process flow creation. The default is false.
      Parameters:
        `enableAutoFlow` - Indicates whether the TLF is enabled for automatic process flow creation.

    - #### isEnableAutoFlow

          public boolean isEnableAutoFlow()

      Gets whether the TLF is enabled for automatic process flow creation.
      Returns:
        Whether the TLF is enabled for automatic process flow creation.

    - #### getOrder

          public int getOrder()

      Gets the order of the TLF within its parent.
      Returns:
        The order.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`